/*
 * QtMenuPipe.hpp
 *
 *  Created on: Nov 5, 2010
 *      Author: heber
 */

#ifndef QTMENUPIPE_HPP_
#define QTMENUPIPE_HPP_

#include <QtCore/QObject>

#include <string>

class QAction;

// This handles the plumbing from QT to internal Items
// Slots from QT are redirected to internal methods.
// This way methods can be used where no QT is available
class QtMenuPipe : public QObject {
  Q_OBJECT
public:
  QtMenuPipe(const std::string &,QAction*);
  virtual ~QtMenuPipe();
public slots:
  void called();
private:
  const std::string ActionName;
  QAction *theAction;
};

#endif /* QTMENUPIPE_HPP_ */
