/*
 * SeperatorItem.h
 *
 *  Created on: Dec 11, 2009
 *      Author: crueger
 */

#ifndef SEPERATORITEM_H_
#define SEPERATORITEM_H_

#include <string>

#include "Menu/TextMenu/MenuItem.hpp"

class TxMenu;

/**
 * Produce a Seperator within a Menu.
 *
 * All triggers are ignored for this Item.
 */
class SeperatorItem : public MenuItem
{
public:
  SeperatorItem(TxMenu* const );
  SeperatorItem(TxMenu* const ,char,int);
  virtual ~SeperatorItem();

  virtual void doTrigger();
  virtual bool checkTrigger(char);

  virtual const std::string getDescription();

  virtual const std::string formatEntry();
private:
  char spacer;
  int length;
};

#endif /* SEPERATORITEM_H_ */
